# std::domain_error Class Reference

Inheritance diagram for std::domain_error:

[legend]
Collaboration diagram for std::domain_error:

[legend]
List of all members.

## Public Member Functions
virtual const char * | what () const throw ()

## Detailed Description

Thrown by the library, or by you, to report domain errors (domain in the mathmatical sense).

Definition at line 74 of file stdexcept.

## Member Function Documentation

const char * std::logic_error::what | ( |  | ) | const throw ()`[virtual, inherited]`

| Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor). Reimplemented from std::exception. Definition at line 45 of file stdexcept.cc.

The documentation for this class was generated from the following files:

- stdexcept
- stdexcept.cc